package net.chipkillmar.poi_excel_functions;

import org.apache.poi.hssf.usermodel.*;

import java.io.InputStream;

/**
 * @author Chip Killmar
 */
public class Example {
    public static void main(String[] args) throws Exception {
        InputStream inputStream = Example.class.getResourceAsStream("/net/chipkillmar/poi_excel_functions/poi.xls");
        HSSFWorkbook workbook = new HSSFWorkbook(inputStream);
        HSSFSheet sheet = workbook.getSheet("Sheet1");
        HSSFRow row = sheet.getRow(0); // 0-based.
        HSSFCell cell = row.getCell((short) 0); // Also 0-based;
        System.out.println(cell.getDateCellValue()); // Prints "Mon Apr 28 15:48:57 CDT 2008".


        HSSFFormulaEvaluator formulaEvaluator = new HSSFFormulaEvaluator(sheet, workbook);
        formulaEvaluator.setCurrentRow(row);
        for (int i = 0; i < 3; ++i) {
            formulaEvaluator.evaluateFormulaCell(cell);
            System.out.println(cell.getDateCellValue());
            Thread.sleep(1000);
        }
        
    }
}
