package org.apache.poi.hssf.record.formula.functions;

import org.apache.poi.hssf.record.formula.eval.Eval;
import org.apache.poi.hssf.record.formula.eval.NumberEval;
import org.apache.poi.hssf.usermodel.HSSFDateUtil;

/**
 * Excel NOW() function implementation for POI.
 *
 * @author Chip Killmar
 */
public class Now extends NumericFunction {
    public Eval evaluate(Eval[] evals, int srcCellRow, short srcCellCol) {
        return new NumberEval(HSSFDateUtil.getExcelDate(new java.util.Date()));
    }
}